org.apache.ignite.internal.processors.platform.websession

## Class PlatformDotNetSessionData

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.websession.PlatformDotNetSessionData

All Implemented Interfaces:
  Binarylizable

    public class PlatformDotNetSessionData
    extends Object
    implements Binarylizable

Web session state data.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetSessionData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLocked()`
`Map<String,byte[]>` `items()`
`PlatformDotNetSessionData` `lock(UUID lockNodeId, long lockId, Timestamp lockTime)` Locks the session state data.
`long` `lockId()`
`UUID` `lockNodeId()`
`Timestamp` `lockTime()`
`void` `readBinary(BinaryRawReader reader)` Reads from a binary reader.
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`byte[]` `staticObjects()`
`int` `timeout()`
`String` `toString()`
`PlatformDotNetSessionData` `unlock(UUID lockNodeId, long lockId)` Unlocks the session state data.
`PlatformDotNetSessionData` `updateAndUnlock(UUID lockNodeId, long lockId, Map<String,byte[]> items, boolean isDiff, byte[] staticObjects, int timeout)` Update session state and release the lock.
`void` `writeBinary(BinaryRawWriter writer)` Writes to a binary writer.
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetSessionData

    public PlatformDotNetSessionData()

### Method Detail

#### items

    public Map<String,byte[]> items()

Returns:
  Items.

#### staticObjects

    public byte[] staticObjects()

Returns:
  Static objects.

#### timeout

    public int timeout()

Returns:
  Timeout.

#### lockId

    public long lockId()

Returns:
  Lock ID.

#### lockNodeId

    public UUID lockNodeId()

Returns:
  Lock node ID.

#### lockTime

    public Timestamp lockTime()

Returns:
  Lock time.

#### isLocked

    public boolean isLocked()

Returns:
  `True` if locked.

#### lock

    public PlatformDotNetSessionData lock(UUID lockNodeId,
                                          long lockId,
                                          Timestamp lockTime)

Locks the session state data.

Parameters:
  `lockNodeId` - Lock node ID.
  `lockId` - Lock ID.
  `lockTime` - Lock time.
Returns:
  Unlocked data copy.

#### unlock

    public PlatformDotNetSessionData unlock(UUID lockNodeId,
                                            long lockId)

Unlocks the session state data.

Parameters:
  `lockNodeId` - Lock node ID.
  `lockId` - Lock ID.
Returns:
  Unlocked data copy.

#### updateAndUnlock

    public PlatformDotNetSessionData updateAndUnlock(UUID lockNodeId,
                                                     long lockId,
                                                     Map<String,byte[]> items,
                                                     boolean isDiff,
                                                     byte[] staticObjects,
                                                     int timeout)

Update session state and release the lock.

Parameters:
  `lockNodeId` - Lock node ID.
  `lockId` - Lock ID.
  `items` - Items.
  `isDiff` - Diff flag.
  `staticObjects` - Static objects.
  `timeout` - Timeout.
Returns:
  Result.

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### writeBinary

    public void writeBinary(BinaryRawWriter writer)

Writes to a binary writer.

Parameters:
  `writer` - Binary writer.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryRawReader reader)

Reads from a binary reader.

Parameters:
  `reader` - Reader.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022